<?php

function prepare_ref($array, $key) 
{
  $i = 0;
  foreach ($array AS $posts) {
    $return[$i] = $posts;
    if (!isset($is_id[$posts[$key]])) {
      $is_id[$posts[$key]] = $i;
    } else {
      $return[$is_id[$posts[$key]]]['wmr'] = ($return[$is_id[$posts[$key]]]['wmr'] / 2);
      $return[$i]['wmr'] = ($return[$i]['wmr'] / 2);
    }
    $i++;
  }
  return $return;
}

function send_ref($array) 
{
  global $time, $system, $sql;
  
  if (is_array($array)) {
    foreach ($array AS $post) {
      $ref_wmr = $post['wmr'] / 100 * $system['ref_pct'];
      $sql -> update("UPDATE `users` SET `wmr` = `wmr` + '$ref_wmr' WHERE `id` = '$post[user]' LIMIT 1");
      $sql -> update("UPDATE `referals` SET `wmr` = `wmr` + '$ref_wmr' WHERE `id_referal` = '$post[referal]' LIMIT 1");
      $msg = "Выплата средств на Ваш личный счет магазина, от привлеченного Вами реферала " . login($post['referal'], 0);
      $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$time', 'referals', '$post[user]', '" . $ref_wmr . "', '$msg')");
      journal($post['user'], 'referals', $msg);
    }    
  }
}